Bug 866188 - (non-mixer) Review Request: non-mixer - An audio mixer for JACK
Review Request: non-mixer - An audio mixer for JACK
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 10:45 EDT by Brendan Jones
Modified: 2012-11-25 14:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-25 14:21:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-10-14 10:45:41 EDT
non-mixer is an audio mixer for Jack from the non family of audio software.

SRPM: http://bsjones.fedorapeople.org/non-mixer-1.0.0-0.3.gitae6b78cf.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/non-mixer.spec

non-mixer.src: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
non-mixer.x86_64: E: incorrect-fsf-address /usr/share/doc/non-mixer-1.0.0/COPYING
non-mixer.x86_64: W: no-manual-page-for-binary non-mixer
Comment 1 Volker Fröhlich 2012-10-22 17:34:09 EDT
Why is the tarball named differently than the package?

%{_prefix}/bin could be _bindir. If you use mkdir -p, you can remove the first mkdir as well.

Please make the build verbose!

Try to correct the wrong FSF postal addresses in FL/New_Project_Dialog.H and .C.
Comment 2 Brendan Jones 2012-10-25 00:02:31 EDT
Thanks for the comments.

Upstream releases all of his projects together in the one repository, which happens to be named non-daw. 

Upstream has bee notified of the FSF addesses, macro fixed and silent build output flag removed

SRPM: http://bsjones.fedorapeople.org/non-mixer-1.0.0-0.4.gitae6b78cf.fc18.src.rpm
SPEC: http://bsjones.fedorapeople.org/non-mixer.spec
Comment 3 Mario Blättermann 2012-10-27 09:58:07 EDT
(In reply to comment #1)
> Try to correct the wrong FSF postal addresses in FL/New_Project_Dialog.H and
> .C.

Please don't touch such legal stuff. All you have to do is to inform the upstream folks about the wrong address so that they can fix it in future releases.
Comment 4 Volker Fröhlich 2012-10-27 10:38:13 EDT
Well, we must not change the license file, but correcting the postal address in headers should be fine, from my point of view. It's not a must anyway.

https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
Comment 5 Mario Blättermann 2012-11-21 15:19:36 EST
The srpm link is 404, the correct one is:
http://bsjones.fedorapeople.org/non-mixer-1.0.0-0.3.gitae6b78cf.fc18.src.rpm
Comment 6 Mario Blättermann 2012-11-25 12:26:31 EST
After having a first look at the sources, I read this:

"Notes to packagers: Non-Mixer, Non-DAW, and Non-Session-Manager,
although stored in the same repository, are completely independent
programs which can be built and packaged separately by descending into
their respective sub-directories."

What about Non-DAW and Non-Session-Manager? Are you planning to package them separately? Or maybe you don't see any benefit of this extra stuff?
Comment 7 Brendan Jones 2012-11-25 12:54:15 EST
Good question. Non-session-manager is already packaged, the sequencer is up for review by someone else but is in stasis and non-mixer is also packaged.

Upstream do not release source tarballs at all (and there's no indication that this is planned). 

Upstream seems to change rather rapidly so it makes sense to package things separately at this stage as I've set out to do. Recently upstream has also forked FLTK (NTK) which soon will be required by all packages but it is not in a releaseable state. 

Later it may very well make more sense to obsolete all of these and build them from a single source tar ball, but we lose the ability to isolate separate rpograms to source snapshots.
Comment 8 Mario Blättermann 2012-11-25 13:18:19 EST
(In reply to comment #7)
> Later it may very well make more sense to obsolete all of these and build
> them from a single source tar ball, but we lose the ability to isolate
> separate rpograms to source snapshots.

Let's do so. It doesn't matter if we release multiple programs from the same source tarball but from different srpms, as long as we are able to keep them compatible.

Taking this for a full review.
Comment 9 Mario Blättermann 2012-11-25 14:01:09 EST
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4725613

$ rpmlint -i -v *
non-mixer.src: I: checking
non-mixer.src: I: checking-url http://non.tuxfamily.org/nsm (timeout 10 seconds)
non-mixer.src: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

non-mixer.i686: I: checking
non-mixer.i686: I: checking-url http://non.tuxfamily.org/nsm (timeout 10 seconds)
non-mixer.i686: E: incorrect-fsf-address /usr/share/doc/non-mixer-1.0.0/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

non-mixer.i686: W: no-manual-page-for-binary non-mixer
Each executable in standard binary directories should have a man page.

non-mixer.x86_64: I: checking
non-mixer.x86_64: I: checking-url http://non.tuxfamily.org/nsm (timeout 10 seconds)
non-mixer.x86_64: E: incorrect-fsf-address /usr/share/doc/non-mixer-1.0.0/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

non-mixer.x86_64: W: no-manual-page-for-binary non-mixer
Each executable in standard binary directories should have a man page.

non-mixer-debuginfo.i686: I: checking
non-mixer-debuginfo.i686: I: checking-url http://non.tuxfamily.org/nsm (timeout 10 seconds)
non-mixer-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.H
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

non-mixer-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.C
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

non-mixer-debuginfo.x86_64: I: checking
non-mixer-debuginfo.x86_64: I: checking-url http://non.tuxfamily.org/nsm (timeout 10 seconds)
non-mixer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.H
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

non-mixer-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/non-daw-20121013/FL/FL/New_Project_Dialog.C
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

non-mixer.spec: W: invalid-url Source0: non-daw-20121013-git61addce.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 6 errors, 4 warnings.


Incorrect fsf addresses don't matter. However, as already mentioned by Volker, you could patch the sources (not the license file itself) to make rpmlint somewhat happier, but in my mind it isn't worth the effort.

The other issues (no source url, no manpages) can be ignored.


git://git.tuxfamily.org/gitroot/non/daw.git
is not available. There are fltk.git and non.git. Moreover, the Git revisions in your spec file don't match:

Release:        0.3.gitae6b78cf%{?dist}
Source0:        non-daw-20121013-git61addce.tar.bz2
Comment 10 Brendan Jones 2012-11-25 14:11:36 EST
Thanks for the effort Mario.

You've got me thinking. I think I will generate the other programs from a single source, probably the non-daw package which is already in Fedora, and retire non-session-manager - but not right now. 

Sorry to waste your time. I think we can close off this review.
Comment 11 Mario Blättermann 2012-11-25 14:21:56 EST
OK, I roll back my changes and close this report now. Ping me once you have a new package to review.

Note You need to log in before you can comment on or make changes to this bug.